from .__all__ import \
    prepare, \
    load_dataset_images, \
    load_configs,\
    configs

if __name__ == "__main__":
    from keras.datasets import cifar10
    from iyo.core import Classifier2d
    import os
    config = load_configs("{}/{}".format(os.path.abspath(__file__), '/../config.json'))
    config = config["CIFAR10_DEFAULT"]

    # Load the model
    model = Classifier2d(config)

    # Prepare the dataset
    (x_train, y_train), (x_test, y_test) = cifar10.load_data()
    (x_train, y_train), (x_test, y_test) = prepare((x_train, y_train), (x_test, y_test))

    # Train
    model.fit(x=x_train,
              y=y_train,
              validation_data=(x_test, y_test),
              shuffle=True)

    # Evaluate
    # Score trained model.
    scores = model.evaluate(x_test, y_test, verbose=1)
    print('Test loss:', scores[0])
    print('Test accuracy:', scores[1])